Package org.eclipse.birt.report.engine.api

# Interface IDatasetPreviewTask

All Superinterfaces:
  `IEngineTask`, `IExtractionTask`

public interface IDatasetPreviewTask extends IExtractionTask

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask

`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_DATASETPREVIEW, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`IExtractionResults`
`execute()`
execute the query and return the result set
`void`
`selectColumns(String[] columnNames)`
select columns from the data set.
`void`
`setDataEngineFlowMode(org.eclipse.birt.data.engine.api.DataEngineContext.DataEngineFlowMode dataEngineFlowMode)`
`void`
`setDataSet(org.eclipse.birt.report.model.api.DataSetHandle dataset)`
select which data set should be executed
`void`
`setMaxRow(int maxRow)`
`void`
`setQuery(org.eclipse.birt.data.engine.api.querydefn.QueryDefinition query)`
Set the query to be executed.
`void`
`setStartRow(int startRow)`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask

`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameter, setParameterDisplayText, setParameterDisplayText, setParameterValue, setParameterValue, setParameterValues, setProgressMonitor, setStatusHandler, setTimeZone, setUserACL, validateParameters`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IExtractionTask

`extract, extract, setFilters, setSorts, setSorts`

## Method Details

### setDataSet

void setDataSet(org.eclipse.birt.report.model.api.DataSetHandle dataset)
select which data set should be executed

### execute

IExtractionResults execute() throws EngineException
execute the query and return the result set

Throws:
  `EngineException`

### setMaxRow

void setMaxRow(int maxRow)

### setStartRow

void setStartRow(int startRow)

### selectColumns

void selectColumns(String[] columnNames)
select columns from the data set.

Parameters:
  `columnNames` - the selected column names

### setQuery

void setQuery(org.eclipse.birt.data.engine.api.querydefn.QueryDefinition query)
Set the query to be executed. When the query is set, the preview task will no longer construct queries and execute this one instead.

Parameters:
  `query` - the query to be executed

### setDataEngineFlowMode

void setDataEngineFlowMode(org.eclipse.birt.data.engine.api.DataEngineContext.DataEngineFlowMode dataEngineFlowMode)